package cn.novalon.gym.manage.db.entity;

import org.springframework.data.relational.core.mapping.Column;
import org.springframework.data.relational.core.mapping.Table;

/**
 * 菜单数据库实体类
 * 
 * @author 张翔
 * @date 2026-03-13
 */
@Table("sys_menu")
public class SysMenuEntity extends BaseEntity {

    @Column("menu_name")
    private String menuName;

    @Column("parent_id")
    private Long parentId;

    @Column("order_num")
    private Integer orderNum;

    @Column("menu_type")
    private String menuType;

    @Column("perms")
    private String perms;

    @Column("component")
    private String component;

    @Column("status")
    private Integer status;

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public String getMenuType() {
        return menuType;
    }

    public void setMenuType(String menuType) {
        this.menuType = menuType;
    }

    public String getPerms() {
        return perms;
    }

    public void setPerms(String perms) {
        this.perms = perms;
    }

    public String getComponent() {
        return component;
    }

    public void setComponent(String component) {
        this.component = component;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
